OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepAP214

# StepAP214_HArray1OfPresentedItemSelect Class Reference

`#include <StepAP214_HArray1OfPresentedItemSelect.hxx>`

## Public Member Functions
Standard_EXPORT | StepAP214_HArray1OfPresentedItemSelect (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepAP214_HArray1OfPresentedItemSelect (const Standard_Integer Low, const Standard_Integer Up, const StepAP214_PresentedItemSelect &V)
Standard_EXPORT void | Init (const StepAP214_PresentedItemSelect &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepAP214_PresentedItemSelect &Value)
const StepAP214_PresentedItemSelect & | Value (const Standard_Integer Index) const
StepAP214_PresentedItemSelect & | ChangeValue (const Standard_Integer Index)
const StepAP214_Array1OfPresentedItemSelect & | Array1 () const
StepAP214_Array1OfPresentedItemSelect & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepAP214_Array1OfPresentedItemSelect | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_HArray1OfPresentedItemSelect::StepAP214_HArray1OfPresentedItemSelect | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepAP214_HArray1OfPresentedItemSelect::StepAP214_HArray1OfPresentedItemSelect | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const StepAP214_PresentedItemSelect & | V
| ) |

## Member Function Documentation

const StepAP214_Array1OfPresentedItemSelect& StepAP214_HArray1OfPresentedItemSelect::Array1 | ( |  | ) | const

StepAP214_Array1OfPresentedItemSelect& StepAP214_HArray1OfPresentedItemSelect::ChangeArray1 | ( |  | ) |

StepAP214_PresentedItemSelect& StepAP214_HArray1OfPresentedItemSelect::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepAP214_HArray1OfPresentedItemSelect::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepAP214_HArray1OfPresentedItemSelect::Init | ( | const StepAP214_PresentedItemSelect & | V | ) |

Standard_Integer StepAP214_HArray1OfPresentedItemSelect::Length | ( |  | ) | const

Standard_Integer StepAP214_HArray1OfPresentedItemSelect::Lower | ( |  | ) | const

void StepAP214_HArray1OfPresentedItemSelect::SetValue | ( | const Standard_Integer | Index,
|  | const StepAP214_PresentedItemSelect & | Value
| ) |

Standard_Integer StepAP214_HArray1OfPresentedItemSelect::Upper | ( |  | ) | const

const StepAP214_PresentedItemSelect& StepAP214_HArray1OfPresentedItemSelect::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepAP214_Array1OfPresentedItemSelect StepAP214_HArray1OfPresentedItemSelect::myArray`[private]`

The documentation for this class was generated from the following file:

- StepAP214_HArray1OfPresentedItemSelect.hxx